Package org.drinkless.tdlib

# Class TdApi.ChatRevenueAmount

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatRevenueAmount

Enclosing class:
  `TdApi`

public static class TdApi.ChatRevenueAmount extends TdApi.Object
Contains information about revenue earned from sponsored messages in a chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `availableAmount`
  Amount of the cryptocurrency available for withdrawal, in the smallest units of the cryptocurrency.
  `long`
  `balanceAmount`
  Amount of the cryptocurrency that isn't withdrawn yet, in the smallest units of the cryptocurrency.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `cryptocurrency`
  Cryptocurrency in which revenue is calculated.
  `long`
  `totalAmount`
  Total amount of the cryptocurrency earned, in the smallest units of the cryptocurrency.
  `boolean`
  `withdrawalEnabled`
  True, if Telegram Stars can be withdrawn now or later.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatRevenueAmount()`
  Contains information about revenue earned from sponsored messages in a chat.
  `ChatRevenueAmount(String cryptocurrency, long totalAmount, long balanceAmount, long availableAmount, boolean withdrawalEnabled)`
  Contains information about revenue earned from sponsored messages in a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### cryptocurrency

    public String cryptocurrency
    Cryptocurrency in which revenue is calculated.

  - ### totalAmount

    public long totalAmount
    Total amount of the cryptocurrency earned, in the smallest units of the cryptocurrency.

  - ### balanceAmount

    public long balanceAmount
    Amount of the cryptocurrency that isn't withdrawn yet, in the smallest units of the cryptocurrency.

  - ### availableAmount

    public long availableAmount
    Amount of the cryptocurrency available for withdrawal, in the smallest units of the cryptocurrency.

  - ### withdrawalEnabled

    public boolean withdrawalEnabled
    True, if Telegram Stars can be withdrawn now or later.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatRevenueAmount

    public ChatRevenueAmount()
    Contains information about revenue earned from sponsored messages in a chat.

  - ### ChatRevenueAmount

    public ChatRevenueAmount(String cryptocurrency, long totalAmount, long balanceAmount, long availableAmount, boolean withdrawalEnabled)
    Contains information about revenue earned from sponsored messages in a chat.
    Parameters:
      `cryptocurrency` - Cryptocurrency in which revenue is calculated.
      `totalAmount` - Total amount of the cryptocurrency earned, in the smallest units of the cryptocurrency.
      `balanceAmount` - Amount of the cryptocurrency that isn't withdrawn yet, in the smallest units of the cryptocurrency.
      `availableAmount` - Amount of the cryptocurrency available for withdrawal, in the smallest units of the cryptocurrency.
      `withdrawalEnabled` - True, if Telegram Stars can be withdrawn now or later.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR